View Issue Details

IDProjectCategoryView StatusLast Update
0015064LazarusLCLpublic2009-11-23 18:35
ReporterKon Golovatzkiy Assigned ToPaul Ishenin  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformWin32OSWindows 
Product Version0.9.29 (SVN) 
Target Version1.0.0Fixed in Version0.9.29 (SVN) 
Summary0015064: Marquee does not animate ProgressBar under Vista and Win7
DescriptionIf ProgressBar property Style is set to pbstMarquee it does not show animation under themed Vista and Win7. Application compiled with manifest.
Under themed Windows XP all is OK.
Steps To ReproduceCreate an application with form, place TProgressBar on it and set property Style to pbstMarquee.
TagsNo tags attached.
Fixed in Revision22692
LazTarget1.0
WidgetsetWin32/Win64
Attached Files

Activities

2009-11-11 22:27

 

example.zip (161,568 bytes)

Paul Ishenin

2009-11-20 11:35

manager   ~0032317

Please test and close if ok.

Kon Golovatzkiy

2009-11-23 18:35

reporter   ~0032393

Perfect! Tested under Vista and Win7 32-bit. SVN 22727

Issue History

Date Modified Username Field Change
2009-11-11 22:27 Kon Golovatzkiy New Issue
2009-11-11 22:27 Kon Golovatzkiy File Added: example.zip
2009-11-11 22:27 Kon Golovatzkiy Widgetset => Win32/Win64
2009-11-18 23:05 Vincent Snijders LazTarget => 1.0
2009-11-18 23:05 Vincent Snijders Status new => acknowledged
2009-11-18 23:05 Vincent Snijders Target Version => 1.0.0
2009-11-20 11:35 Paul Ishenin Fixed in Revision => 22692
2009-11-20 11:35 Paul Ishenin Status acknowledged => resolved
2009-11-20 11:35 Paul Ishenin Fixed in Version => 0.9.29 (SVN)
2009-11-20 11:35 Paul Ishenin Resolution open => fixed
2009-11-20 11:35 Paul Ishenin Assigned To => Paul Ishenin
2009-11-20 11:35 Paul Ishenin Note Added: 0032317
2009-11-23 18:35 Kon Golovatzkiy Status resolved => closed
2009-11-23 18:35 Kon Golovatzkiy Note Added: 0032393